/*
 * clock.c
 */


#include<sys/user_config.h>
#include<sys/types.h>
#include<callgate.h>

#include<errno.h>
#include<stdio.h>
#include<string.h>
#include<sys/times.h>
#include<sys/time.h>
#include<time.h>


clock_t clock(void)
{
	struct tms tms;


	if(times(&tms)==-1)return -1;
	return tms.tms_utime+tms.tms_stime;
}
